List All Users

Type: GET

https://cloud.syminet.com/api/v1/users

Return a list of all users.

Curl
 curl --request GET \
      --url https://cloud.syminet.com/api/v1/users \
      --header "authorization:bearer $API_TOKEN"
Response
{
  "data": [
    {
      "admin": false,
      "email": "info@syminet.com",
      "id": 2400,
      "ssh_keys": [],
      "username": "mynewuser"
    },
    {
      "admin": true,
      "email": "mark@syminet.com",
      "id": 2316,
      "last_login": "Wed, 20 Nov 2024 00:05:28 GMT",
      "last_login_ip": "68.14.126.228",
      "ssh_keys": [
        {
          "fingerprint": "5d:22:05:6a:f3:30:b0:2b:f2:94:f3:61:cc:03:d3:84",
          "id": 167,
          "name": "test76 key"
        },
        {
          "fingerprint": "a7:4e:34:5c:83:1c:c6:e8:d3:5b:68:ce:4c:a9:5c:25",
          "id": 170,
          "name": "test76 key2"
        }
      ],
      "username": "test76"
    },
    {
      "admin": false,
      "email": "info@syminet.com",
      "id": 2299,
      "last_login": "Tue, 05 Nov 2024 20:24:09 GMT",
      "last_login_ip": "68.14.126.228",
      "ssh_keys": [
        {
          "fingerprint": "5d:22:05:6a:f3:30:b0:2b:f2:94:f3:61:cc:03:d3:84",
          "id": 168,
          "name": "test83 key hooray"
        }
      ],
      "username": "test83"
    }
  ]
}